[Haskell-cafe] errors while installing yesod 0.8

Rogan Creswick creswick at gmail.com
Tue Apr 19 23:52:23 CEST 2011

On Tue, Apr 19, 2011 at 2:18 PM, Michael Litchard <michael at schmong.org> wrote:
> mlitchard at apotheosis:~/monad-control$ cabal install
> Resolving dependencies...
> Configuring monad-control-
> cabal: Error: some packages failed to install:
> monad-control- failed during the configure step. The exception was:
> ExitFailure 11
> note: I've been trying to use the cab command to manage my packages, I
> get the same error as above when I use cab instead of cabal.I mention
> this just in case there is some unforseen problem having to do with
> cab/cabal interaction.
> Has anyone experienced this problem, or know what I can do to get more
> useful error messages that might reveal the cause of the breakage?

You might learn more by issuing the configure / build steps manually
(I think `cabal configure` will produce an error).  Upping the
verbosity will also help:

# get pages and pages of details:
$ cabal install --verbose=3

I would first suggest trying cabal-dev, though (cab can delegate to
cabal-dev now too, but I haven't played with it yet).

$ cabal-dev install yesod-0.8

will either work or fail in a way that we can more easily reproduce.


More information about the Haskell-Cafe mailing list